Loading...
Searching...
No Matches
RDKit::SubsetInfo Struct Reference

`#include <Subset.h>`

## Public Attributes

boost::dynamic_bitset | selectedAtoms
boost::dynamic_bitset | selectedBonds
std::map< unsigned int, unsigned int > | atomMapping
std::map< unsigned int, unsigned int > | bondMapping

## Detailed Description

Definition at line 59 of file Subset.h.

## Member Data Documentation

## atomMapping

std::map<unsigned int, unsigned int> RDKit::SubsetInfo::atomMapping

mapping of original atom indices to new ones

Definition at line 63 of file Subset.h.

## bondMapping

std::map<unsigned int, unsigned int> RDKit::SubsetInfo::bondMapping

mapping of original bond indices to new ones

Definition at line 65 of file Subset.h.

## selectedAtoms

boost::dynamic_bitset RDKit::SubsetInfo::selectedAtoms

atoms selected in the subset

Definition at line 60 of file Subset.h.

## selectedBonds

boost::dynamic_bitset RDKit::SubsetInfo::selectedBonds

bonds selected in the subset

Definition at line 61 of file Subset.h.

The documentation for this struct was generated from the following file:

- Subset.h